import { ViewerType } from '../../viewer';
export declare class PresentationService {
    protected readonly viewer: ViewerType;
    private state;
    private args?;
    private controlsTimeout?;
    private fullscreenChangeAbortController?;
    private windowAbortController?;
    private contextMenuOpen;
    private mouseScrollTimeStamp;
    private mouseScrollDelta;
    private touchSwipeState?;
    constructor(viewer: ViewerType);
    get container(): HTMLDivElement;
    get supported(): boolean;
    reset(): void;
    request(): Promise<void>;
    get active(): boolean;
    private mouseWheel;
    private notifyStateChange;
    private enter;
    private exit;
    private mouseDown;
    private contextMenu;
    private showControls;
    private hideControls;
    private resetMouseScrollState;
    private touchSwipe;
    private addWindowListeners;
    private removeWindowListeners;
    private addFullscreenChangeListeners;
    private removeFullscreenChangeListeners;
}
